=== src/tools/CMakeLists.txt ===
add_subdirectory(xmlgettext)
