=== debian/changelog ===
lincity-ng (2.10.2-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 2.10.2 (Closes: #1068636)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 24 Apr 2024 14:51:06 +0200

lincity-ng (2.10.1-2) unstable; urgency=medium

  * Team Upload
  * put back icon at it's previous place: this rightfully
    triggers a piuparts error with a chance of 1/2.
  * set "Rules-Requires-Root: no"
  * janitor: add upstream metadata

 -- Alexandre Detiste <tchet@debian.org>  Wed, 03 Apr 2024 21:10:18 +0200

lincity-ng (2.10.1-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 2.10.1
  * replace old autoconf+jam build with modern CMake (Closes: #1064228)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 01 Apr 2024 18:58:18 +0200

lincity-ng (2.9.0-1) unstable; urgency=medium

  * Team Upload
  * switch to libSDL2 (Closes: #1038476)
  * replace pkg-config by pkgconf

 -- Alexandre Detiste <tchet@debian.org>  Sun, 18 Feb 2024 19:54:57 +0100

lincity-ng (2.9~git20150314-5) unstable; urgency=medium

  [ Reiner Herrmann ]
  * Update and fix watch file.

  [ Markus Koschany ]
  * Declare compliance with Debian Policy 4.6.2.

 -- Markus Koschany <apo@debian.org>  Sat, 25 Feb 2023 18:05:29 +0100
