=== debian/control ===
Source: lincity-ng
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Markus Koschany <apo@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 libphysfs-dev,
 libsdl2-gfx-dev,
 libsdl2-image-dev,
 libsdl2-mixer-dev,
 libsdl2-ttf-dev,
 libsdl2-dev,
 libxml2-dev,
 libxslt1-dev,
 pkgconf,
 xsltproc,
 zlib1g-dev
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/games-team/lincity-ng.git
Vcs-Browser: https://salsa.debian.org/games-team/lincity-ng
Homepage: https://github.com/lincity-ng/lincity-ng/

Package: lincity-ng
Architecture: any
Depends:
 lincity-ng-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: City simulator game with polished graphics
 LinCity-NG is a City Simulation Game. It is a polished and improved
 version of the old LinCity game:
 You are required to build and maintain a city. You must feed, house,
 provide jobs and goods for your residents. You can build a sustainable
 economy with the help of renewable energy and recycling, or you can go for
 broke and build rockets to escape from a pollution ridden and resource
 starved planet, it's up to you. Due to the finite resources available in any
 one place, this is not a game that you can leave for long periods of time.
 This game is similar to the commercial simulation game with a similar
 name.

Package: lincity-ng-data
Architecture: all
Multi-Arch: foreign
Breaks: lincity-ng (<< 2.10.2-1~)
Depends:
 fonts-dejavu,
 ${misc:Depends}
Suggests:
 lincity-ng
Description: Media files for the city simulator game LinCity-NG
 LinCity-NG is a City Simulation Game. It is a polished and improved
 version of the old LinCity game:
 You are required to build and maintain a city. You must feed, house,
 provide jobs and goods for your residents. You can build a sustainable
 economy with the help of renewable energy and recycling, or you can go for
 broke and build rockets to escape from a pollution ridden and resource
 starved planet, it's up to you. Due to the finite resources available in any
 one place, this is not a game that you can leave for long periods of time.
 This game is similar to the commercial simulation game with a similar
 name.
 .
 This package contains the architecture independent game media files.
