=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

# BUG: GIT_ATG_VERSION & CMAKE_INSTALL_APPDATADIR
#      are not taken into account (BINDIR well)
override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_INSTALL_BINDIR=/usr/games/ \
		-DGIT_TAG_VERSION=$(DEB_VERSION) \
		-DCMAKE_INSTALL_APPDATADIR=/usr/share/games

override_dh_installchangelogs:
	dh_installchangelogs RELNOTES
