=== debian/changelog ===
lincity-ng (2.11.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Alexandre Detiste <tchet@debian.org>  Thu, 27 Jun 2024 07:26:14 +0200
