=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  xsltproc,
  zlib1g-dev
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/games-team/lincity-ng.git
 Vcs-Browser: https://salsa.debian.org/games-team/lincity-ng
 Homepage: https://github.com/lincity-ng/lincity-ng/
