## lincity-ng 2.11.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 set(X_VCPKG_APPLOCAL_DEPS_INSTALL ON)
 
 project(lincity-ng
-	VERSION 2.11.0
+	VERSION 2.11.1
 	LANGUAGES CXX C
 	DESCRIPTION "A city simulation game"
 	HOMEPAGE_URL "https://github.com/lincity-ng/lincity-ng"
