=== debian/changelog ===
lincity-ng (2.11.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.11.1

 -- Alexandre Detiste <tchet@debian.org>  Tue, 23 Jul 2024 01:49:55 +0200
