## lincity-ng 2.11.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 set(X_VCPKG_APPLOCAL_DEPS_INSTALL ON)
 
 project(lincity-ng
-	VERSION 2.11.1
+	VERSION 2.11.2
 	LANGUAGES CXX C
 	DESCRIPTION "A city simulation game"
 	HOMEPAGE_URL "https://github.com/lincity-ng/lincity-ng"
@@ -123,7 +123,7 @@
 set(CPACK_GENERATOR TGZ ZIP)
 set(CPACK_PACKAGE_ICON data/lincity-ng.png)
 set(CPACK_PACKAGE_CHECKSUM SHA256)
-set(CPACK_RESOURCE_FILE_README README.md)
+set(CPACK_RESOURCE_FILE_README ${CMAKE_SOURCE_DIR}/README.md)
 set(CPACK_SOURCE_GENERATOR TGZ)
 set(CPACK_SOURCE_IGNORE_FILES ${CMAKE_BINARY_DIR}/ ${CMAKE_SOURCE_DIR}/\\\\.git/ ${CMAKE_SOURCE_DIR}/build.*/)
 set(CPACK_PACKAGE_VERSION ${FULL_PROJECT_VERSION})
