=== data/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,8 @@
 file(GLOB_RECURSE allDataFiles RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} CONFIGURE_DEPENDS
   fonts/*
   help/*
-  images/*
+  images/*.png
+  images/*.xml
   locale/*
   music/*
   opening/*.scn
