=== debian/changelog ===
lincity-ng (2.11.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.11.2

 -- Alexandre Detiste <tchet@debian.org>  Sat, 28 Sep 2024 16:55:54 +0200
