## lincity-ng 2.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 set(X_VCPKG_APPLOCAL_DEPS_INSTALL ON)
 
 project(lincity-ng
-	VERSION 2.11.2
+	VERSION 2.12.0
 	LANGUAGES CXX C
 	DESCRIPTION "A city simulation game"
 	HOMEPAGE_URL "https://github.com/lincity-ng/lincity-ng"
@@ -83,13 +83,14 @@
 
 if(NOT CMAKE_CROSSCOMPILING AND INCLUDE_WHAT_YOU_USE)
 	set(CMAKE_CXX_INCLUDE_WHAT_YOU_USE
-		"${INCLUDE_WHAT_YOU_USE};-w;-Xiwyu;--mapping_file=${CMAKE_SOURCE_DIR}/iwyu-mapping")
+	"${INCLUDE_WHAT_YOU_USE};-w;-Xiwyu;--mapping_file=${CMAKE_SOURCE_DIR}/iwyu.map")
 	set(CMAKE_C_INCLUDE_WHAT_YOU_USE ${CMAKE_CXX_INCLUDE_WHAT_YOU_USE})
 endif()
 
 add_subdirectory(src)
 add_subdirectory(data ${CMAKE_INSTALL_APPDATADIR})
 add_subdirectory(doc)
+add_subdirectory(external)
 
 set_target_properties(lincity-ng PROPERTIES RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_BINDIR})
 install(TARGETS lincity-ng
@@ -127,4 +128,5 @@
 set(CPACK_SOURCE_GENERATOR TGZ)
 set(CPACK_SOURCE_IGNORE_FILES ${CMAKE_BINARY_DIR}/ ${CMAKE_SOURCE_DIR}/\\\\.git/ ${CMAKE_SOURCE_DIR}/build.*/)
 set(CPACK_PACKAGE_VERSION ${FULL_PROJECT_VERSION})
+set(CPACK_STRIP_FILES TRUE)
 include(CPack)
