=== debian/changelog ===
lincity-ng (2.12.0-2build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 May 2025 08:17:47 +0200

lincity-ng (2.12.0-2) unstable; urgency=medium

  * Team upload.
  * Add d/clean (Closes: #1047945)
  * Issue in FluidSynth has been fixed (Closes: #1096210)

  TODO: new upstream version needs libxml++ 5.0

 -- Alexandre Detiste <tchet@debian.org>  Sun, 09 Mar 2025 11:52:06 +0100

lincity-ng (2.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.12.0

  [ Fabio Pedretti ]
  * remove unneeded FTBFS patch

 -- Alexandre Detiste <tchet@debian.org>  Thu, 14 Nov 2024 00:18:23 +0100
