=== debian/control ===
--- 
+++ 
@@ -3,33 +3,34 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
- Markus Koschany <apo@debian.org>
+ Markus Koschany <apo@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  cmake,
  libphysfs-dev,
+ libsdl2-dev,
  libsdl2-gfx-dev,
  libsdl2-image-dev,
  libsdl2-mixer-dev,
  libsdl2-ttf-dev,
- libsdl2-dev,
  libxml2-dev,
  libxslt1-dev,
  pkgconf,
  xsltproc,
- zlib1g-dev
+ zlib1g-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/games-team/lincity-ng.git
 Vcs-Browser: https://salsa.debian.org/games-team/lincity-ng
 Homepage: https://github.com/lincity-ng/lincity-ng/
+X-Style: black
 
 Package: lincity-ng
 Architecture: any
 Depends:
  lincity-ng-data (= ${source:Version}),
  ${misc:Depends},
- ${shlibs:Depends}
+ ${shlibs:Depends},
 Description: City simulator game with polished graphics
  LinCity-NG is a City Simulation Game. It is a polished and improved
  version of the old LinCity game:
@@ -45,12 +46,13 @@
 Package: lincity-ng-data
 Architecture: all
 Multi-Arch: foreign
-Breaks: lincity-ng (<< 2.10.2-1~)
+Breaks:
+ lincity-ng (<< 2.10.2-1~),
 Depends:
  fonts-dejavu,
- ${misc:Depends}
+ ${misc:Depends},
 Suggests:
- lincity-ng
+ lincity-ng,
 Description: Media files for the city simulator game LinCity-NG
  LinCity-NG is a City Simulation Game. It is a polished and improved
  version of the old LinCity game:
