## lincity-ng 2.14.2

=== debian/changelog ===
lincity-ng (2.14.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Sébastien Noel <sebastien@twolife.be>  Mon, 23 Feb 2026 09:32:18 +0100
