=== debian/control ===
--- 
+++ 
@@ -1,25 +1,24 @@
 Source: lincity-ng
 Section: games
-Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Markus Koschany <apo@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  cmake,
- libphysfs-dev,
+ libfmt-dev,
  libsdl2-dev,
  libsdl2-gfx-dev,
  libsdl2-image-dev,
  libsdl2-mixer-dev,
  libsdl2-ttf-dev,
  libxml2-dev,
+ libxml++-5.0-dev,
  libxslt1-dev,
  pkgconf,
  xsltproc,
  zlib1g-dev,
-Rules-Requires-Root: no
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/games-team/lincity-ng.git
 Vcs-Browser: https://salsa.debian.org/games-team/lincity-ng
 Homepage: https://github.com/lincity-ng/lincity-ng/
