=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

# BUG: FULL_PROJECT_VERSION & CMAKE_INSTALL_APPDATADIR
#      are not taken into account (BINDIR well)
override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_INSTALL_BINDIR=/usr/games/ \
		-DFULL_PROJECT_VERSION=$(DEB_VERSION) \
		-DCMAKE_INSTALL_APPDATADIR=/usr/share/games

execute_after_dh_auto_install:
	$(RM) debian/tmp/usr/share/doc/lincity-ng/COPYING.txt
